<template>
  <main>
    <p>Ingresa un número para ver su secuencia y numeros primos</p>
    <section class="form">
      <input type="number" placeholder="Número" v-model="numberBase" />
      <AtomButton class="mt-2" label="Actualizar" :onClick="updateAction"/>
    </section>
  </main>
</template>

<script>
import { mapActions, mapGetters } from 'vuex';
import AtomButton from '@/components/atoms/AtomButton.vue';

export default {
  name: 'FormBody',
  components: {
    AtomButton,
  },
  data() {
    return {
      numberBase: 2
    }
  },
  computed: {
    ...mapGetters(['getNumber'])
  },
  methods: {
    ...mapActions(['updateNumberAction']),
    updateAction() {
      this.updateNumberAction(this.numberBase)
    }
  }
}
</script>

<style scoped>
main {
  text-align: center;
}
.mt-2 {
  margin-top: 16px;
}
</style>